# UpdateItem

Use this method to update an item record.

**Note:** - The Quantity and TotalCostPool elements are read-only. They cannot be explicitly set via the Items endpoint. The only way to change the quantity and value of tracked items is by creating accounting transactions. - Increase the value and quantity of a tracked item by creating purchase transactions (ACCPAY Invoices or SPEND BankTransactions) and decrease the value and quantity of tracked items by creating sales transactions (ACCREC Invoices or RECEIVE BankTransactions). Read more about inventory adjustments in the [Tracked Inventory in Xero](http://developer.xero.com/documentation/api-guides/tracked-inventory-in-xero/) guide.

### Properties <a href="#properties" id="properties"></a>

**Authentication**

Authentication values used to connect to the Xero server.

**Item id / code**

Unique identifier of the item to update.

**Item**

Item to update.

### Output <a href="#output" id="output"></a>

**Item**

Item updated.

### Links <a href="#links" id="links"></a>

[Xero Developer: Items (POST)](https://developer.xero.com/documentation/api/items#POST)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/items/updateitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
